org.apache.fop.render.afp

## Class AFPRendererConfigurator

- java.lang.Object
- - org.apache.fop.render.AbstractRendererConfigurator
  - - org.apache.fop.render.PrintRendererConfigurator
    - - org.apache.fop.render.afp.AFPRendererConfigurator

- All Implemented Interfaces:
    IFDocumentHandlerConfigurator

      public class AFPRendererConfigurator
      extends PrintRendererConfigurator

  AFP Renderer configurator

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.render.AbstractRendererConfigurator

      `userAgent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPRendererConfigurator(FOUserAgent userAgent, RendererConfig.RendererConfigParser rendererConfigParser)` Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(IFDocumentHandler documentHandler)` Configures a intermediate format document handler.
    `protected FontCollection` | `getCustomFontCollection(InternalResourceResolver uriResolverWrapper, java.lang.String mimeType)` Returns the font collection for custom configured fonts.
    `protected java.util.List<FontCollection>` | `getDefaultFontCollection()`

    - ### Methods inherited from class org.apache.fop.render.PrintRendererConfigurator

      `configure, createCollectionFromFontList, createDefaultInstance, getRendererConfig, getRendererConfig, getRendererConfig, setupFontInfo`

    - ### Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AFPRendererConfigurator

          public AFPRendererConfigurator(FOUserAgent userAgent,
                                         RendererConfig.RendererConfigParser rendererConfigParser)

      Default constructor
      Parameters:
        `userAgent` - user agent

  - ### Method Detail

    - #### configure

          public void configure(IFDocumentHandler documentHandler)
                         throws FOPException

      Description copied from class: `PrintRendererConfigurator`
      Configures a intermediate format document handler.
      Specified by:
        `configure` in interface `IFDocumentHandlerConfigurator`
      Overrides:
        `configure` in class `PrintRendererConfigurator`
      Parameters:
        `documentHandler` - the document handler instance
      Throws:
        `FOPException` - if an error occurs while configuring the object

    - #### getDefaultFontCollection

          protected java.util.List<FontCollection> getDefaultFontCollection()

      Specified by:
        `getDefaultFontCollection` in class `PrintRendererConfigurator`

    - #### getCustomFontCollection

          protected FontCollection getCustomFontCollection(InternalResourceResolver uriResolverWrapper,
                                                           java.lang.String mimeType)
                                                    throws FOPException

      Description copied from class: `PrintRendererConfigurator`
      Returns the font collection for custom configured fonts.
      Overrides:
        `getCustomFontCollection` in class `PrintRendererConfigurator`
      Parameters:
        `uriResolverWrapper` - the resource resolver
        `mimeType` - the renderer MIME type
      Returns:
        the font collection
      Throws:
        `FOPException` - if an error occurs

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.